<template>
  <v-navigation-drawer
    app
    v-model="drawerOpen"
    temporary>

    <v-list class="list-root" flat shaped>
      <v-list-item link :to="{ name: 'dashboard' }">
        <v-list-item-avatar>
          <v-icon :large="true" color="success">mdi-view-dashboard</v-icon>
        </v-list-item-avatar>
        <v-list-item-content>
          <v-list-item-title>Dashboard</v-list-item-title>
        </v-list-item-content>
      </v-list-item>

      <v-divider></v-divider>

      <v-list-group no-action value="true">
        <template v-slot:activator>
        <v-list-item-avatar>
          <v-icon :large="true" color="info">mdi-terrain</v-icon>
        </v-list-item-avatar>
          <v-list-item-title>Locations</v-list-item-title>
        </template>

        <v-list-item
          dense
          :key="location.id"
          link
          :to="{ name: 'locations', params: { locationId: location.id } }"
          v-for="location in locations">
          <v-list-item-content>
            <v-list-item-title>{{ location.label }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list-group>
    </v-list>
  </v-navigation-drawer>
</template>

<script>
import gql from 'graphql-tag'
// might be more bloated than letting vuetify-loader handle it? 3.5mb vs 2.5mb asset folder
//import { mdiAccount, mdiAlarm } from '@mdi/js'

export default {
  apollo: {
    locations: {
      query: gql`query {
        locations {
          id
          label
        }
      }`,
      update({ locations }) {
        return locations
      }
    }
  },
  computed: {
    drawerOpen: {
      get() {
        return this.$store.state.drawerOpen
      },
      set(boolean) {
        this.$store.commit('setDrawer', boolean)
      }
    }
  },
  data() {
    return {
      locations: []
    }
  }
}
</script>

<style scoped>
v-navigation-drawer {
  height: 100%;
}
</style>
